org.apache.lucene.analysis.miscellaneous

## Class TypeAsSynonymFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.TypeAsSynonymFilterFactory

    public class TypeAsSynonymFilterFactory
    extends TokenFilterFactory

Factory for `TypeAsSynonymFilter`.

     <fieldType name="text_type_as_synonym" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.UAX29URLEmailTokenizerFactory"/>
         <filter class="solr.TypeAsSynonymFilterFactory" prefix="_type_" />
       </analyzer>
     </fieldType>

If the optional `prefix` parameter is used, the specified value will be prepended to the type, e.g. with prefix="_type_", for a token "example.com" with type "<URL>", the emitted synonym will have text "_type_<URL>".

Since:
  7.3.0

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`TypeAsSynonymFilterFactory(Map<String,String> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeAsSynonymFilterFactory

    public TypeAsSynonymFilterFactory(Map<String,String> args)

### Method Detail

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`